Bug 1480915 - SELinux is preventing abrtd from 'map' accesses on the file /var/lib/sss/mc/group.
SELinux is preventing abrtd from 'map' accesses on the file /var/lib/sss/mc/g...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:46fc9731a7418a1f75e11d6714d...
:
Depends On:
Blocks: 1481454
  Show dependency treegraph
 
Reported: 2017-08-12 16:56 EDT by Joachim Frieben
Modified: 2017-10-31 11:37 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-283.14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-31 11:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2017-08-12 16:56:50 EDT
Description of problem:
SELinux is preventing abrtd from 'map' accesses on the file /var/lib/sss/mc/group.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrtd should be allowed map access on the group file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrtd' --raw | audit2allow -M my-abrtd
# semodule -X 300 -i my-abrtd.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc/group [ file ]
Source                        abrtd
Source Path                   abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           sssd-common-1.15.3-2.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-270.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   4
First Seen                    2017-08-12 22:53:33 CEST
Last Seen                     2017-08-12 22:55:13 CEST
Local ID                      c5ce93c7-45f1-4144-b3b7-5e18db7b43a6

Raw Audit Messages
type=AVC msg=audit(1502571313.632:363): avc:  denied  { map } for  pid=1691 comm="abrt-dbus" path="/var/lib/sss/mc/group" dev="dm-0" ino=269747 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=1


Hash: abrtd,abrt_t,sssd_public_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport
Comment 1 Jan Kurik 2017-08-15 04:45:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-10-25 06:15:48 EDT
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2
Comment 3 Fedora Update System 2017-10-27 14:47:12 EDT
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2
Comment 4 Fedora Update System 2017-10-31 11:37:54 EDT
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.